[SCM] live-build branch, debian, updated. debian/3.0_a15-1-6-g201989e
Daniel Baumann
daniel at debian.org
Sat Apr 23 17:30:38 UTC 2011
The following commit has been merged in the debian branch:
commit fb1e45aaeb04688557dbdd20ebf89e3785a16bd5
Author: Daniel Baumann <daniel at debian.org>
Date: Sat Apr 23 17:14:21 2011 +0200
Adding workaround for apt not respecting pinning on the fly.
diff --git a/scripts/build/lb_chroot_apt b/scripts/build/lb_chroot_apt
index 240fcec..edfc033 100755
--- a/scripts/build/lb_chroot_apt
+++ b/scripts/build/lb_chroot_apt
@@ -133,6 +133,14 @@ case "${1}" in
esac
fi
+ # Rebuild apt indices from scratch.
+ # Due to the fact that apt doesn't understand pinning on the
+ # fly, we need to manuall remove the cached indices and fetch
+ # them again.
+ rm -f chroot/var/cache/apt/* > /dev/null 2>&1 || true
+ rm -f chroot/var/lib/apt/lists/* > /dev/null 2>&1 || true
+ Chroot chroot "apt-get ${APT_OPTIONS} update"
+
# Creating stage file
Create_stagefile .stage/chroot_apt
;;
--
live-build
More information about the debian-live-changes
mailing list